package com.ruoyi.project.sems.service;

import java.util.List;
import com.ruoyi.project.sems.domain.TReportHiYlgd;
import com.ruoyi.project.sems.domain.TReportHiYlrq;

/**
 * 压力管道报告历史Service接口
 *
 * @author ruoyi
 * @date 2021-09-02
 */
public interface ITReportHiYlgdService
{
    /**
     * 查询压力管道报告历史
     *
     * @param id 压力管道报告历史ID
     * @return 压力管道报告历史
     */
    public TReportHiYlgd selectTReportHiYlgdById(Long id);

    /**
     * 查询压力管道报告历史列表
     *
     * @param tReportHiYlgd 压力管道报告历史
     * @return 压力管道报告历史集合
     */
    public List<TReportHiYlgd> selectTReportHiYlgdList(TReportHiYlgd tReportHiYlgd);

    /**
     * 根据年份获取压力管道报告历史
     *
     * @param year 年份
     * @return
     */
    public List<TReportHiYlgd> selectTReportHiYlgdForYear(TReportHiYlgd year);

    /**
     * 新增压力管道报告历史
     *
     * @param tReportHiYlgd 压力管道报告历史
     * @return 结果
     */
    public int insertTReportHiYlgd(TReportHiYlgd tReportHiYlgd);

    /**
     * 修改压力管道报告历史
     *
     * @param tReportHiYlgd 压力管道报告历史
     * @return 结果
     */
    public int updateTReportHiYlgd(TReportHiYlgd tReportHiYlgd);

    /**
     * 批量删除压力管道报告历史
     *
     * @param ids 需要删除的压力管道报告历史ID
     * @return 结果
     */
    public int deleteTReportHiYlgdByIds(Long[] ids);

    /**
     * 删除压力管道报告历史信息
     *
     * @param id 压力管道报告历史ID
     * @return 结果
     */
    public int deleteTReportHiYlgdById(Long id);
}
